Bug 671464 - Content Provider of RHEL6 packages not updated due to missing reference data
Content Provider of RHEL6 packages not updated due to missing reference data
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Jiri Kastner
: 691416 (view as bug list)
Depends On: 671465
Blocks: sat54-errata
  Show dependency treegraph
Reported: 2011-01-21 10:36 EST by Martin Poole
Modified: 2011-03-28 13:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-34.el5sat satellite-schema-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-03-28 05:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2011-01-21 10:36:05 EST
Description of problem:

"the spacewalk-update-signatures fixed RHEL 5 content, but not RHEL 6 - this is because we are missing the RHEL 6 GPG Key ID from table rhnPackageKey.

This would need to be a separate bug report, likely aligned to 5.4.1.

Key ID 199e2f91fd431d51 is the RHEL 6 gold gpg key id.


Comment 2 Michael Mráka 2011-01-27 10:09:44 EST
Fixed in spacewalk nightly by
commit 58bfd8e8854ceac8e25ff89b535af1452d9b434a
    671464 - added schema upgrade for new keys
commit 2715b12c3b6121f5df5388ffe14ccf66164e963a
    added Fedora 14 key
commit 12a618c38df51764984fa9209a30059ba1c875c4
    671464 - get right keyid for new Fedora keys
commit 5565c2c05653a07e62166d570f3a849a93f3927b
    added Fedora 13 key
commit 80d746ed93ba1b4f5a4efd867a01e24dba5e220d
    added new Spacewalk key
commit cde96b47953fee0fca69e13f2789edf35d6d3340
    671464 - get right keyid for new RHEL6 rpms
commit d7f57523dd0c17c9e1ff15822a3830add8534d21
    671464 - although RHEL6 signature is SHA256 gpg it's marked as pgp in rpm header
    (to be distingueshed from old MD5 GPG signatures)
commit 9ee5f9f66d1bf77d1a1b145c5eba72bc888797b5
    671464 - added RHEL6 key

Fixed spacewalk package: spacewalk-backend-1.3.51-1
Comment 3 Tomas Lestach 2011-02-02 06:11:09 EST
One more commit ...
(fix for: unsigned rpms were not recognized as rpms)

spacewalk.git: 49c3af6d61207a30b454b0f26f8cd19ac4cbc336
Comment 5 Jiri Kastner 2011-03-25 05:50:24 EDT
using spacewalk-repo-sync imported F14 channel, package provider recognized as 'Fedora'. after spacewalk-update-signatures executed, provider of rhel5, rhel6 package is 'Red Hat Inc.'
Comment 6 errata-xmlrpc 2011-03-28 05:32:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 7 Clifford Perry 2011-03-28 13:55:15 EDT
*** Bug 691416 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.